.footer {
    position: relative;
    padding-top: rem(44);
    padding-bottom: rem(46);
    background: rgba(0, 0, 0, 0.35);

    &:after,
    &:before {
        top: 0;
        bottom: 0;
        z-index: 5;
        content: '';
        width: 5px;
        display: block;
        position: absolute;
        background: url("../img/foter_pattern.svg") 0 0 repeat-y;
    }

    &:after {
        left: 0;
    }

    &:before {
        right: 0;
    }

    &__info {
        margin-bottom: rem(20);
    }

    &__copy {
        font-size: rem(18);
        line-height: rem(28);
        color: var(--color-1);
    }

    &__nav {
        margin-bottom: rem(40);
        display: flex;
        row-gap: rem(36);
        flex-direction: column;
    }

    &__links {
        margin: 0 0 rem(50) 0;
        padding: 0;
        list-style: none;
        font-size: rem(18);
        line-height: rem(28);
        white-space: nowrap;
        display: flex;
        flex-wrap: wrap;
        row-gap: rem(12);
        column-gap: rem(28);
    }

    &__link {
        color: white;
        opacity: .7;
        text-decoration: none;
        transition: .25s;

        &:hover {
            color: white;
            opacity: 1;
            transition: .25s;
            text-decoration: none;
        }

        &:active {
            opacity: .7;
        }
    }

    &__contact {
        display: flex;
        column-gap: rem(8);
    }

    &__social {
        display: block;
        flex-shrink: 0;
        width: rem(40);
        height: rem(40);
        border-radius: 50%;
    }

    &__token {
        margin-top: rem(16);
        color: var(--color-1);
        font-size: rem(18);
        line-height: rem(28);
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(32);
        padding-bottom: rem(24);

        &:after,
        &:before {
            width: rem(10);
        }

        &__info {
            margin-bottom: rem(44);
        }

        &__nav {
            margin-bottom: rem(58);
            flex-direction: row;
            justify-content: space-between;
        }

        &__content {
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            justify-content: space-between;
        }

        &__links {
            margin-bottom: 0;
        }

        &__token {
            width: 100%;
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(50);

        &:after,
        &:before {
            width: rem(20);
        }


        &__wrap {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
        }

        &__info {
            margin: 0;
        }

        &__nav {
            margin: 0;
            width: rem(794);
        }

        &__content {
            width: 100%;
            margin-top: rem(72);
        }

        &__contact {
            width: 100%;
            margin: 0 0 rem(16) 0;
            justify-content: flex-end;
            order: 1;
        }

        &__links {
            margin: 0;
            width: auto;
            order: 2;
        }

        &__token {
            margin: 0;
            width: auto;
            order: 3;
        }
    }
}


.footer-logo {
    font-size: 0;
    line-height: 0;
    display: block;
    width: rem(230);
    position: relative;
    margin-bottom: rem(16);

    &__image {
        display: block;
    }

    &__target {
        left: rem(-18);
        top: rem(-36);
        display: block;
        width: rem(116);
        position: absolute;
    }
}

.footer-nav {
    margin: 0;
    padding: 0;
    list-style: none;
    font-size: rem(20);
    line-height: rem(24);
    white-space: nowrap;
    text-transform: uppercase;
    font-family: var(--font-secondary);

    &__item {

        &:not(:last-child) {
            margin-bottom: rem(12);
        }
    }

    &__link {
        color: white;
        text-decoration: none;
        transition: .25s;

        &:hover {
            color: var(--violet);
            text-decoration: none;
            transition: .25s;
        }
    }

    @include media-breakpoint-up(md) {
        width: 33.33%;

        &__item {

            &:not(:last-child) {
                margin-bottom: rem(20);
            }
        }
    }

    @include media-breakpoint-up(xl) {
        width: auto;
    }
}


@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
